Bug 433966 - showimg failed massrebuild attempt for GCC 4.3
showimg failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: showimg (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 07:50 EST by Jesse Keating
Modified: 2013-01-09 21:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 10:47:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 07:50:48 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=435967
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Tyler Owen 2008-02-22 09:07:49 EST
Errors in i386 build.log:

sqlscanner.cpp: In function 'yy_state_type yy_try_NUL_trans(yy_state_type)':
sqlscanner.cpp:1428: warning: conversion to 'YY_CHAR' from 'const int' may alter
its value
/usr/local/share/bison.simple: In function 'int yyparse()':
/usr/local/share/bison.simple:317: warning: conversion to 'short int' from 'int'
may alter its value
/usr/local/share/bison.simple:361: error: 'free' was not declared in this scope
/usr/local/share/bison.simple:375: error: 'alloca' was not declared in this scope
sqlparser.y:674: warning: conversion to 'uint' from 'Q_LLONG' may alter its value
sqlparser.y:680: warning: conversion to 'uint' from 'Q_LLONG' may alter its value
/usr/local/share/bison.simple:614: warning: comparison between signed and
unsigned integer expressions
/usr/local/share/bison.simple:617: error: 'malloc' was not declared in this scope
/usr/local/share/bison.simple:626: warning: comparison between signed and
unsigned integer expressions
/usr/local/share/bison.simple:636: error: 'free' was not declared in this scope
/usr/local/share/bison.simple:742: error: 'free' was not declared in this scope
/usr/local/share/bison.simple:754: error: 'free' was not declared in this scope
Comment 2 Bug Zapper 2008-05-14 01:20:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Aurelien Bompard 2008-06-11 10:47:39 EDT
Fixed

Note You need to log in before you can comment on or make changes to this bug.